#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	rpm
%define	pnam	build-perl
Summary:	Calculate dependencies for Perl sources
Summary(pl.UTF-8):	Znajdowanie zależności dla źródeł perlowych
Name:		perl-rpm-build-perl
Version:	0.82
Release:	10
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/A/AT/ATOURBIN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1cfb4f6a0842d04ef39fd945abacce91
# https://rt.cpan.org/Ticket/Attachment/1513584/807128/rpm-build-perl-0.82-Adjust-to-perl-5.22.patch
Patch0:		%{name}-perl5.22.patch
# https://rt.cpan.org/Ticket/Attachment/1213691/640915/0001-Fix-non-deterministic-failures-on-newer-perls.patch
Patch1:		%{name}-non-deterministic-failures.patch
Patch2:		rpm-build-perl-0.82-Port-to-OpSIBLING-like-macros-required-since-Perl-5..patch
URL:		http://search.cpan.org/dist/rpm-build-perl/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Encode
BuildRequires:	perl-Test-Simple
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Calculate dependencies for Perl sources.

%description -l pl.UTF-8
Moduł ten znajduje zależności dla źródeł perlowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/perl.clean
%attr(755,root,root) %{_bindir}/perl.prov
%attr(755,root,root) %{_bindir}/perl.prov.files
%attr(755,root,root) %{_bindir}/perl.req
%attr(755,root,root) %{_bindir}/perl.req.files
%{perl_vendorarch}/B/Clobbers.pm
%{perl_vendorarch}/B/ConstOptree.pm
%{perl_vendorarch}/B/PerlReq.pm
%{perl_vendorarch}/B/Walker.pm
%dir %{perl_vendorarch}/PerlReq
%{perl_vendorarch}/PerlReq/Utils.pm
%{perl_vendorarch}/fake.pm
%dir %{perl_vendorarch}/auto/B
%dir %{perl_vendorarch}/auto/B/ConstOptree
%attr(755,root,root) %{perl_vendorarch}/auto/B/ConstOptree/ConstOptree.so
%{_mandir}/man1/perl.prov.1p*
%{_mandir}/man1/perl.req.1p*
%{_mandir}/man3/B::Clobbers.3pm*
%{_mandir}/man3/B::ConstOptree.3pm*
%{_mandir}/man3/B::PerlReq.3pm*
%{_mandir}/man3/B::Walker.3pm*
%{_mandir}/man3/PerlReq::Utils.3pm*
%changelog
* Tue Aug 23 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-rpm-build-perl.git;a=log;h=master

* Tue Aug 23 2022 Jan Palus <atler@pld-linux.org> 5df283e
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 60b514f
- rebuild with perl 5.34.0

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> f342633
- rediffed non-deterministic-failures patch, updated macros

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 63e3c27
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 46fa5ed
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 1d0ddf8
- rebuild with perl 5.30.0
- release 7 (by relup.sh)

* Fri Aug 31 2018 Jan Rękorajski <baggins@pld-linux.org> 8ede2fc
- rebuild with perl 5.28.0
- release 6 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 7351828
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Wed Jun 28 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 21fa8c2
- rel 4; fix build

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b9fd105
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e005c37
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 32adebb
- pass CC and OPTIMIZE for .so module

* Tue Nov 15 2016 Jakub Bogusz <qboosh@pld-linux.org> cc3f43f
- updated to 0.82
- added perl5.22,non-deterministic-failures patches to fix test failures introduced with perl 5.18+ and 5.22+

* Sun Jan 15 2012 Adam Gołębiowski <adamg@pld-linux.org> 73448a9
- pl summary fix, cosmetics

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 4410668
- up to 0.80

* Fri Jul 01 2011 marti <marti@pld-linux.org> 249a6c9
- up to 0.74

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> e9e10ad
- updated to 0.71

* Sun Sep 13 2009 amateja <amateja@pld-linux.org> 68eaae3
- initial

